# NOTE:
# - *.z are just gzcompress-ed .ttf files
%define		pkgname	tcpdf
%define		php_min_version 5.2.7
Summary:	TCPDF - PHP class for PDF
Name:		php-%{pkgname}
Version:	6.6.5
Release:	1
License:	LGPL v2.1
Group:		Development/Languages/PHP
Source0:	https://github.com/tecnickcom/TCPDF/archive/refs/tags/%{version}.tar.gz
# Source0-md5:	6dba74875045bf54f0099515c8d7213e
Patch0:		shebang.patch
URL:		http://www.tcpdf.org/
BuildRequires:	%{php_name}-cli
BuildRequires:	%{php_name}-devel
BuildRequires:	%{php_name}-pcre
BuildRequires:	%{php_name}-zlib
BuildRequires:	fonts-TTF-DejaVu
BuildRequires:	fonts-TTF-freefont
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	unzip
Requires:	php(bcmath)
Requires:	php(core) >= %{php_min_version}
Requires:	php(date)
Requires:	php(gd)
Requires:	php(hash)
Requires:	php(json)
Requires:	php(mbstring)
Requires:	php(openssl)
Requires:	php(pcre)
Requires:	php(xml)
Suggests:	php-tcpdf-fonts-dejavu
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir		%{php_data_dir}/%{pkgname}
%define		_sysconfdir	/etc/%{pkgname}

%description
Generic TCPDF screenshot TCPDF is a PHP class for generating PDF
documents without requiring external extensions. TCPDF Supports UTF-8,
Unicode, RTL languages and HTML.

%package fonts-dejavu
Summary:	DejaVu fonts for TCPDF
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}

%description fonts-dejavu
This package allow to use system DejaVu font faces in TCPDF.

%package fonts-freefont
Summary:	GNU FreeFonts for TCPDF
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}

%description fonts-freefont
This package allow to use system GNU FreeFont font faces in TCPDF.

%package examples
Summary:	TCPDF example programs
Summary(pl.UTF-8):	TCPDF programy przykładowe
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}

%description examples
TCPDF example programs.

%description examples -l pl.UTF-8
TCPDF - przykładowe programy.

%prep
%setup -q -n TCPDF-%{version}
%undos *.TXT
%patch0 -p1

# remove bundled fonts
rm -r fonts/dejavu-fonts-ttf-* fonts/freefont-* fonts/ae_fonts_*

%build
pkgs="fonts-TTF-DejaVu fonts-TTF-freefont"
install -d build/fonts
for pkg in $pkgs; do
	fonts=$(rpm -ql $pkg | grep %{_fontsdir}/TTF | xargs | tr ' ' ',')
	%{__php} tools/tcpdf_addfont.php -t TrueTypeUnicode -i $fonts -o build/fonts
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_appdir},%{_sysconfdir},%{_bindir},%{_examplesdir}/%{name}-%{version}}
cp -a *.php fonts include $RPM_BUILD_ROOT%{_appdir}
cp -p config/*.php $RPM_BUILD_ROOT%{_sysconfdir}
cp -a build/fonts/* $RPM_BUILD_ROOT%{_appdir}/fonts
install -p tools/tcpdf_addfont.php $RPM_BUILD_ROOT%{_bindir}/tcpdf_addfont
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.TXT README.md
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/tcpdf_config.php
%attr(755,root,root) %{_bindir}/tcpdf_addfont
%dir %{_appdir}
%{_appdir}/include
%{_appdir}/tcpdf*.php

%dir %{_appdir}/fonts
%{_appdir}/fonts/aealarabiya*
%{_appdir}/fonts/aefurat*
%{_appdir}/fonts/cid0*
%{_appdir}/fonts/courier*
%{_appdir}/fonts/dejavumathtexgyre*
%{_appdir}/fonts/helvetica*
%{_appdir}/fonts/hysmyeongjostdmedium*
%{_appdir}/fonts/kozgopromedium*
%{_appdir}/fonts/kozminproregular*
%{_appdir}/fonts/msungstdlight*
%{_appdir}/fonts/pdfacourier*
%{_appdir}/fonts/pdfahelvetica*
%{_appdir}/fonts/pdfasymbol*
%{_appdir}/fonts/pdfatimes*
%{_appdir}/fonts/pdfazapfdingbats*
%{_appdir}/fonts/stsongstdlight*
%{_appdir}/fonts/symbol*
%{_appdir}/fonts/times*
%{_appdir}/fonts/uni2cid_*
%{_appdir}/fonts/zapfdingbats*

%files fonts-dejavu
%defattr(644,root,root,755)
%{_appdir}/fonts/dejavusans*
%{_appdir}/fonts/dejavuserif*

%files fonts-freefont
%defattr(644,root,root,755)
%{_appdir}/fonts/freemono*
%{_appdir}/fonts/freesans*
%{_appdir}/fonts/freeserif*

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Mon Jan 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-tcpdf.git;a=log;h=auto/th/php-tcpdf-6.6.5-1

* Mon Jan 29 2024 Arkadiusz Miśkiewicz <arekm@maven.pl> 3890f7a
- Up to 6.6.5

* Tue Feb 21 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> d4d1a8d
- Up to 6.6.2

* Tue Sep 07 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 9ffd85d
- Up to 6.4.2

* Sat Jun 12 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> c3f5896
- Up to 6.4.1.

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 5f35852
- drop obsolete and outdated manual inclusion of rpm macros

* Tue Dec 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 2126fae
- BR php -devel for php-config

* Tue Dec 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> cdd5fc2
- up to 6.3.2

* Wed Feb 14 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 0d419cb
- up to 6.2.13

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> df5b2e0
- rel 2; S php-tcpdf-fonts-dejavu as some apps were using this font, so upgrade would break such setups

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 20434d1
- up to 6.2.12

* Wed Apr 01 2015 Elan Ruusamäe <glen@delfi.ee> 87c494a
- update runtime deps (autodetected)

* Wed Apr 01 2015 Elan Ruusamäe <glen@delfi.ee> aea9e64
- install config to /etc

* Tue Mar 31 2015 Elan Ruusamäe <glen@delfi.ee> 39d2e58
- update groups

* Tue Mar 31 2015 Elan Ruusamäe <glen@delfi.ee> 609c9c2
- build gnu freefonts, move to subpackage

* Tue Mar 31 2015 Elan Ruusamäe <glen@delfi.ee> 02a1089
- subpackage dejavu fonts

* Tue Mar 31 2015 Elan Ruusamäe <glen@delfi.ee> c6973e2
- update BR

* Tue Mar 31 2015 Elan Ruusamäe <glen@delfi.ee> 00bed01
- cleanup bundled fonts in prep, install addfont tool

* Tue Mar 31 2015 Elan Ruusamäe <glen@delfi.ee> 853004d
- BR fonts-TTF-DejaVu

* Tue Mar 31 2015 Elan Ruusamäe <glen@delfi.ee> 6c2cbd5
- subpackage examples

* Tue Mar 31 2015 Elan Ruusamäe <glen@delfi.ee> 3995e87
- cleanups

